Bug 484094 - rpm -e fails on package with many files
rpm -e fails on package with many files
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
: 185694 (view as bug list)
Depends On: 483235
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 13:26 EST by Petr Sklenar
Modified: 2011-03-15 09:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 483235
Environment:
Last Closed: 2010-02-04 04:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-02-04 13:26:04 EST
+++ This bug was initially created as a clone of Bug #483235 +++

Created an attachment (id=330460)
huge dir with many files

Description of problem:
there is 129936 files in tree, you can built it and install it, but it cannot be uninstalled

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-9.el5
+ rhel4 too

How reproducible:
always

Steps to Reproduce:
1. rpmbuild -ba huge-dir-tree.spec
2. rpm -Uvh huge-dir-tree.rpm
3. rpm -e huge-dir-tree
  
Actual results:
rpmbuild + install PASS

# rpm -e huge-dir-tree
On rhel5 it writes : memory alloc (8 bytes) returned NULL.
On rhel4 it writes : memory alloc (3455160288 bytes) returned NULL.

Expected results:
# rpm -e huge-dir-tree
..successfully erased

Additional info:
there is similar bug for rpmbuild
bug 438675
bug 462539
..but when it is possible to create a built , it has to be erased
Comment 4 Panu Matilainen 2010-02-04 04:16:33 EST
Like bug 483235, this is not fixable in RHEL 4/5, but rpm in RHEL 6 wont have this problem.
Comment 5 Panu Matilainen 2010-02-04 04:17:30 EST
*** Bug 185694 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.